*, *::before, *::after {
  box-sizing: border-box;
}

:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  font-size: 1rem;

  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
}

html, body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  width: 100%;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
  padding-block: 3rem;
}

form {
  padding: 1.5rem;
  border: solid 2px white;
  border-radius: .5rem;
  display: grid;
  gap: .5rem;
  width: 100%;
  max-width: 400px;
}

button {
  border: 0;
  border-radius: 9999px;
  background: white;
  font: inherit;
  padding: .5rem 1rem;
  cursor: pointer;
}

form > button {
  margin-top: .5rem;
  border-radius: 4px;
  background-color: greenyellow;
}

input {
  font: inherit;
  padding: .5rem;
  background: transparent;
  color: white;
  border: solid 2px white;
  border-radius: 4px;
}

h2 {
  max-width: 400px;
  text-align: center;
}

ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: grid;
  gap: .25rem;
  width: 100%;
  max-width: 400px;
}

ul > li {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  cursor: pointer;
}

ul > li {
  width: calc(100% - .5rem);
  padding: .5rem;
  background: #242424;
  display: flex;
  justify-content: space-between;
}

ul > li::after {
  content: 'Remove';
  color: pink;
  transition: .3s ease;
}

ul > li:hover::after {
  color: red;
}
